xine-lib: xine-lib-1.2.13/src/video_out/opengl/xine_gl.h File Reference

xine-lib 1.2.13-20230125hg15249

Data Structures | Macros | Typedefs | Functions
xine_gl.h File Reference
`#include <stdlib.h>`
`#include <string.h>`
`#include <xine.h>`
`#include <xine/sorted_array.h>`

Go to the source code of this file.

## Data Structures
struct | xine_gl
struct | xine_gl_extensions_t

## Macros
#define | XINE_GL_API_OPENGL 0x0001
#define | XINE_GL_API_OPENGLES 0x0002

## Typedefs
typedef struct xine_gl | xine_gl_t

## Functions
xine_gl_t * | _x_load_gl (xine_t *xine, unsigned visual_type, const void *visual, unsigned flags)
static int | _x_gl_has_extension (const char *extensions, const char *const ext)
static void | xine_gl_extensions_unload (xine_gl_extensions_t *e)
static void | xine_gl_extensions_load (xine_gl_extensions_t *e, const char *list)
static int | xine_gl_extensions_test (xine_gl_extensions_t *e, const char *name)

## Macro Definition Documentation

## ◆ XINE_GL_API_OPENGL

#define XINE_GL_API_OPENGL 0x0001

Referenced by _egl_get_instance(), _glx_get_instance(), opengl2_check_platform(), and opengl2_open_plugin().

## ◆ XINE_GL_API_OPENGLES

#define XINE_GL_API_OPENGLES 0x0002

Referenced by _egl_get_instance().

## Typedef Documentation

## ◆ xine_gl_t

typedef struct xine_gl xine_gl_t

## Function Documentation

## ◆ _x_gl_has_extension()

static int _x_gl_has_extension | ( | const char * | extensions,
|  | const char *const | ext )
| inlinestatic

## ◆ _x_load_gl()

xine_gl_t * _x_load_gl | ( | xine_t * | xine,
|  | unsigned | visual_type,
|  | const void * | visual,
|  | unsigned | flags )

References _x_find_module(), default_gl_dispose(), xine_gl::dispose, xine_gl_plugin_s::gl, GL_PLUGIN_TYPE, NULL, and gl_plugin_params_t::xine.

Referenced by opengl2_check_platform(), and opengl2_open_plugin().

## ◆ xine_gl_extensions_load()

static void xine_gl_extensions_load | ( | xine_gl_extensions_t * | e,
|  | const char * | list )
| inlinestatic

References xine_gl_extensions_t::buf, xine_gl_extensions_t::list, NULL, v, xine_gl_extensions_unload(), xine_sarray_add(), and xine_sarray_new().

Referenced by opengl2_check_platform().

## ◆ xine_gl_extensions_test()

static int xine_gl_extensions_test | ( | xine_gl_extensions_t * | e,
|  | const char * | name )
| inlinestatic

<< will not be written to

References xine_gl_extensions_t::list, name, and xine_sarray_binary_search().

Referenced by opengl2_check_platform().

## ◆ xine_gl_extensions_unload()

static void xine_gl_extensions_unload | ( | xine_gl_extensions_t * | e | ) |
| inlinestatic

References xine_gl_extensions_t::buf, xine_gl_extensions_t::list, NULL, and xine_sarray_delete().

Referenced by opengl2_check_platform(), and xine_gl_extensions_load().